# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeCustomImagesRequest(JDCloudRequest):
    """
    支持分页查询和版本过滤的镜像列表获取
    """

    def __init__(self, parameters, header=None, version="2.0.0"):
        super(DescribeCustomImagesRequest, self).__init__(
            '/app/{appId}/customImages', 'GET', header, version)
        self.parameters = parameters


class DescribeCustomImagesParameters(object):

    def __init__(self,appId, ):
        """
        :param appId: 应用ID，E.g.，app-123456789
        """

        self.appId = appId
        self.pageNum = None
        self.pageSize = None
        self.version = None

    def setPageNum(self, pageNum):
        """
        :param pageNum: (Optional) 页码，E.g.，6
        """
        self.pageNum = pageNum

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 每页数量(10-100)，E.g.，20
        """
        self.pageSize = pageSize

    def setVersion(self, version):
        """
        :param version: (Optional) 镜像版本，E.g.，busybox-v1.0.0
        """
        self.version = version

