# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeCustomRegistryTokenRequest(JDCloudRequest):
    """
    <p>申请6小时有效期的令牌。 使用<code>docker</code> CLI push和pull镜像。</p>
<p><code>authorizationToken</code>为每个registry返回一个base64编码的字符串，解码后<code>docker login</code>命令
可完成指定registry的鉴权。</p>

    """

    def __init__(self, parameters, header=None, version="2.0.0"):
        super(DescribeCustomRegistryTokenRequest, self).__init__(
            '/app/{appId}:customRegistryToken', 'GET', header, version)
        self.parameters = parameters


class DescribeCustomRegistryTokenParameters(object):

    def __init__(self,appId, ):
        """
        :param appId: 可以在应用列表页面获取对应应用的appId，格式为：app-xxxxxxxxxxxx

        """

        self.appId = appId
        self.renew = None

    def setRenew(self, renew):
        """
        :param renew: (Optional) 用户不同应用间自定义镜像仓库使用相同注册表，注册表token全局唯一，renew 会吊销之前获取的token，请审慎使用，E.g.，true or false or null, default is false

        """
        self.renew = renew

