# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class ImageDetail(object):

    def __init__(self, imageDigest=None, imagePushedAt=None, imageSizeMB=None, imageTags=None, lastPullAt=None, registryName=None, repositoryName=None, totalPullTimes=None):
        """
        :param imageDigest: (Optional) 镜像摘要，E.g.，sha256:e5785cb0c62436f0aaa95354a056f1e9db97a
        :param imagePushedAt: (Optional) 镜像推送时间，E.g.，'2024-08-23 16:29:41'
        :param imageSizeMB: (Optional) image在repository中的大小。从Docker 1.9之后的版本, Docker client会压缩镜像层数据再push到V2版本的Docker registry。
docker image命令显示的是解压后的镜像大小，因此会比DescribeImages接口返回的镜像大小会大很多，E.g.，156.7

        :param imageTags: (Optional) 镜像标签列表，即镜像版本列表，E.g.，['latest', 'v1.0.0', 'stable']
        :param lastPullAt: (Optional) 最后拉取时间，E.g.，'2024-10-25 14:24:56'
        :param registryName: (Optional) 镜像仓库名称，E.g.，e5785cb0c62436f05f17e1e
        :param repositoryName: (Optional) 镜像仓库路径，E.g.，app-62436f05f17
        :param totalPullTimes: (Optional) 总拉取次数，E.g.，66
        """

        self.imageDigest = imageDigest
        self.imagePushedAt = imagePushedAt
        self.imageSizeMB = imageSizeMB
        self.imageTags = imageTags
        self.lastPullAt = lastPullAt
        self.registryName = registryName
        self.repositoryName = repositoryName
        self.totalPullTimes = totalPullTimes
